Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class FlashGeneratorPreview

    java.lang.Object
      |
      +--com.macromedia.generator.app.FlashGeneratorApp
            |
            +--com.macromedia.generator.app.FlashGeneratorPreview

All Implemented Interfaces:
  FlashCommandLog

public class FlashGeneratorPreview
extends FlashGeneratorApp

Fields inherited from class com.macromedia.generator.app.FlashGeneratorApp
`cacheMgr, cacheProps, clientMapName, clientMapPath, defaultBitDepth, defaultHeight, defaultWidth, embeddedString, exactFit, extFontLocation, flashPath, gifPath, inputPath, isPreviewMode, jpegPath, logLevel, logOpened, logPath, logWriter, params, pngPath, projectorM68kPath, projectorMFatPath, projectorMPPCPath, projectorType, projectorW16Path, projectorWPath, publishSerialNum, QTMPath, resources, serial, serverMapPath, txtPath`

Constructor Summary
`protected` | `FlashGeneratorPreview()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`protected boolean` | `processArgs(java.lang.String[] as)`
`protected void` | `usage(boolean flag, java.lang.String s)`

Methods inherited from class com.macromedia.generator.app.FlashGeneratorApp
`addExtension, deleteFile, execute, finalize, getPropertiesPath, getResString, getSerializePath, init, initCaches, initProperties, initSerialization, loadResources, log, logLevel, logMessage, logMessage, processTemplate, resetPaths, setCacheProperty, setMacFileType, usage, writeBuffer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlashGeneratorPreview

    protected FlashGeneratorPreview()

Method Detail

### main

    public static void main(java.lang.String[] args)

### processArgs

    protected boolean processArgs(java.lang.String[] as)

  Overrides:
    `processArgs` in class `FlashGeneratorApp`

### usage

    protected void usage(boolean flag,
                         java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD